%define oname	PyRTF

Name: 	 	python-pyrtf
Summary: 	Python module to generate RTF documents
Version: 	0.45
Release: 	%mkrel 6
Source0:	http://downloads.sourceforge.net/pyrtf/%{oname}-%{version}.tar.bz2
URL:		http://pyrtf.sourceforge.net/
License:	GPL+
Group:		Development/Python
BuildRequires:	python-devel
BuildRequires:	dos2unix
BuildArch:	noarch

%description
PyRTF is a set of python classes that make it possible to produce RTF
documents from python programs. The library has no external dependencies
and has proved reliable and fast.

%prep
%setup -q -n %{oname}-%{version}

#fix EOLs
dos2unix examples/merged_cells.py

#fix rights
chmod 644 examples/*

%build
#nothing

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README examples/
%{py_puresitedir}/%{oname}
%{py_puresitedir}/%{oname}-%{version}-py%{pyver}.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.45-6.mga3
+ Revision: 379416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 wally <wally> 0.45-5.mga2
+ Revision: 103418
- drop old provides/obsoletes
- add some docs
- drop buildroot definition
- drop obsolete py_requires macro
- imported package python-pyrtf

